### Method

# FwupdPlugin Device emit_request

#### Declaration [src]

    gboolean
    fu_device_emit_request (
      FuDevice* self,
      FwupdRequest* request,
      FuProgress* progress,
      GError** error
    )

#### Description [src]

Emit a request from a plugin to the client.

If the device is emulated then this request is ignored.

Available since: | 1.9.8

#### Parameters

`request` | `FwupdRequest`
| A request.
| The data is owned by the caller of the function.
`progress` | `FuProgress`
| A `FuProgress`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| No description available.